/*===========================================================================*/
/*   (Ieee/boolean.scm)                                                      */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Ieee/boolean.scm -indent -o objs/obj_u/Ieee/boolean.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_BOOLEANS_6_1_TYPE_DEFINITIONS
#define BGL___R4_BOOLEANS_6_1_TYPE_DEFINITIONS
#endif													// BGL___R4_BOOLEANS_6_1_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62booleanzf3z91zz__r4_booleans_6_1z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
	static obj_t BGl_z62notz62zz__r4_booleans_6_1z00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_booleans_6_1z00(void);
	BGL_EXPORTED_DECL bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_booleanzf3zd2envz21zz__r4_booleans_6_1z00,
		BgL_bgl_za762booleanza7f3za7911411za7,
		BGl_z62booleanzf3z91zz__r4_booleans_6_1z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_notzd2envzd2zz__r4_booleans_6_1z00,
		BgL_bgl_za762notza762za7za7__r4_1412z00,
		BGl_z62notz62zz__r4_booleans_6_1z00, 0L, BUNSPEC, 1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_notzd2envzd2zz__r4_booleans_6_1z00,
			BgL_bgl_za762notza762za7za7__r4_1412z00);
		BGL_BIND_PROCEDURE(BGl_booleanzf3zd2envz21zz__r4_booleans_6_1z00,
			BgL_bgl_za762booleanza7f3za7911411za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long
		BgL_checksumz00_1013, char *BgL_fromz00_1014)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					return BGl_gczd2rootszd2initz00zz__r4_booleans_6_1z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_booleans_6_1z00(void)
	{
		{	/* Ieee/boolean.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* not */
	BGL_EXPORTED_DEF bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t BgL_objz00_3)
	{
		{	/* Ieee/boolean.scm 51 */
			if (CBOOL(BgL_objz00_3))
				{	/* Ieee/boolean.scm 52 */
					return ((bool_t) 0);
				}
			else
				{	/* Ieee/boolean.scm 52 */
					return ((bool_t) 1);
				}
		}

	}



/* &not */
	obj_t BGl_z62notz62zz__r4_booleans_6_1z00(obj_t BgL_envz00_1009,
		obj_t BgL_objz00_1010)
	{
		{	/* Ieee/boolean.scm 51 */
			return BBOOL(BGl_notz00zz__r4_booleans_6_1z00(BgL_objz00_1010));
		}

	}



/* boolean? */
	BGL_EXPORTED_DEF bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t
		BgL_objz00_4)
	{
		{	/* Ieee/boolean.scm 57 */
			return BOOLEANP(BgL_objz00_4);
		}

	}



/* &boolean? */
	obj_t BGl_z62booleanzf3z91zz__r4_booleans_6_1z00(obj_t BgL_envz00_1011,
		obj_t BgL_objz00_1012)
	{
		{	/* Ieee/boolean.scm 57 */
			return BBOOL(BGl_booleanzf3zf3zz__r4_booleans_6_1z00(BgL_objz00_1012));
		}

	}

#ifdef __cplusplus
}
#endif
